Bug#929501: marked as done (lintian: missing-dep-for-interpreter guile: very outdated guile versions)

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#929501: marked as done (lintian: missing-dep-for-interpreter guile: very outdated guile versions)

Debian Bug Tracking System
Your message dated Sun, 26 May 2019 14:39:59 +0000
with message-id <[hidden email]>
and subject line Bug#929501: fixed in lintian 2.15.0
has caused the Debian Bug report #929501,
regarding lintian: missing-dep-for-interpreter guile: very outdated guile versions
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
929501: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=929501
Debian Bug Tracking System
Contact [hidden email] with problems

Package: lintian
Version: 2.14.0
Severity: normal
Tags: patch

While packaging a new guile package, I got an error about missing
dependencies that have been removed since before stretch!

  E: guile-ssh: missing-dep-for-interpreter guile => guile | guile-1.6 |
  guile-1.8 (usr/bin/ssshd.scm) #!/usr/bin/guile

guile-1.6 was last present in wheezy.
guile-1.8 was last present in jessie.
guile-2.0 is available jessie-buster.
guile-2.2 is available in buster.

An untested patch attached which updates to guile-2.0 and guile-2.2.


Though guile-2.0 should probably be discouraged for new packages, as
there are bug reports requesting to migrate to 2.0 on a handful of
packages, for example:

  https://bugs.debian.org/885188


Maybe that should be a lintian check as well?


live well,
  vagrant


From 9e4e6219b29fc1f246e5c1216fa9476f612fafb1 Mon Sep 17 00:00:00 2001
From: Vagrant Cascadian <[hidden email]>
Date: Fri, 24 May 2019 15:39:31 -0700
Subject: [PATCH] versioned-interpreters: Add guile 2.0 and 2.2, remove 1.6 and
 1.8.

Guile version 1.6 was dropped in jessie, and 1.8 was dropped in
stretch.
---
 data/scripts/versioned-interpreters | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/data/scripts/versioned-interpreters b/data/scripts/versioned-interpreters
index 7e140590d..afd4274c8 100644
--- a/data/scripts/versioned-interpreters
+++ b/data/scripts/versioned-interpreters
@@ -69,7 +69,7 @@
 #
 
 
-guile   => /usr/bin, guile-([\d.]+), guile-$1, 1.6 1.8,
+guile   => /usr/bin, guile-([\d.]+), guile-$1, 2.0 2.2,
 jruby   => /usr/bin, jruby([\d.]+), jruby$1, 1.0 1.1 1.2
 lua     => /usr/bin, lua([\d.]+), lua$1, 40 50 5.1 5.2
 octave  => /usr/bin, octave([\d.]+), octave$1, 3.0 3.2
--
2.20.1


Source: lintian
Source-Version: 2.15.0

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <[hidden email]> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 26 May 2019 14:12:53 +0000
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.15.0
Distribution: unstable
Urgency: medium
Maintainer: Debian Lintian Maintainers <[hidden email]>
Changed-By: Chris Lamb <[hidden email]>
Description:
 lintian    - Debian package checker
Closes: 927970 929428 929430 929501
Changes:
 lintian (2.15.0) unstable; urgency=medium
 .
   [ Chris Lamb ]
   * t/bin/runtests: Correct equality operator preventing the correct
     parsing of --onlyrun="" used when (eg.) executing autopkgtests and
     apply a patch from Felix Lechner to specify a missing --work-dir
     argument when building test packages. (Closes: #929430)
   * Add references to Debian Policy §4.9.2 and §5.6.31 for checks
     regarding Rules-Requires-Root. (Closes: #929428)
   * Correct more false-positives for missing-systemd-timer-for-cron-script
     due to an incorrect regular expression. Thanks again to Francesco Poli
     (wintermute) for the patch. (Closes: #927970)
   * Remove unnecessary commas from tag long descriptions and
     improve grammar in the description of testsuite-autopkgtest-missing.
 .
   [ Vagrant Cascadian ]
   * Add Guile 2.0 & 2.2 to and remove "ancient" versions 1.6 & 1.8 from the
     list of versioned interpreters. (Closes: #929501)
 .
   [ Paul Wise ]
   * spelling: Add several corrections
Checksums-Sha1:
 d3427db5f0cbff7b0ec121eac569ad685642bbcc 3878 lintian_2.15.0.dsc
 3310b8c84dcbd5fd668e689c733c63800650cc1e 1713420 lintian_2.15.0.tar.xz
 bae8b544b340806bf32de374fde16cb70ccf21d4 1181408 lintian_2.15.0_all.deb
 ceecf48d27b4e7460e984d709d48b8e3b771e1e7 18114 lintian_2.15.0_amd64.buildinfo
Checksums-Sha256:
 803be7db6a3fe196fad780791d926093a1e0dde9bb492dea40f2f18c7ef32899 3878 lintian_2.15.0.dsc
 e8b69c925f06cbdacfa8ffce2b7686299f0cd0cf95b0cfca85061f7d37199c0b 1713420 lintian_2.15.0.tar.xz
 d98de401cdbc137c4a19b35e688149c767818829d70b5f5a89c48aceb2a81767 1181408 lintian_2.15.0_all.deb
 fc09faf7980818779dbc529cd0df1c8c495613859e58f562606de7290fb47246 18114 lintian_2.15.0_amd64.buildinfo
Files:
 9607acd0d4908ed5246af70de17ecd2e 3878 devel optional lintian_2.15.0.dsc
 81f4ff718dcca00cfa9fb4521c164407 1713420 devel optional lintian_2.15.0.tar.xz
 636ddd3f8a7de56202a902120f8b6507 1181408 devel optional lintian_2.15.0_all.deb
 6404176d2d5a902880b0571c9edda828 18114 devel optional lintian_2.15.0_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEwv5L0nHBObhsUz5GHpU+J9QxHlgFAlzqo5MACgkQHpU+J9Qx
Hlg6ABAAm1NtR91919krPKrPNM5X5Fu12IISA5ma8d6H0QFRg2KmteNlI7QwUkh/
ko+in08/ZPUDlFE/kE+s/QgjmQp0pNLFUOOvIF+P53PLL705DQmv4kewR0PwTf9p
W6KHnTCtPGPodeSLItI9DHzbEoY04tVS074OOkC62TmPCMGs41UpbA3u+NnS8xW8
VLyDv0XaQNxMO3PxCb+6AO8LK7N0O83M7OKFhWzZpizI+lxCDgj87n/ba+77CKKY
9Xv4F5iCwZOMul7TUnl/loTDT284sgFqmc7EZkx7pEO1o+di/EOWagMmFIWDIco7
ouw/G/kN4hPIcfmzx1k5M7GJsCsNc8FVZA7zOOiLPHrdew36LmN/vJtHXJw4xRoy
rYhjo6y6tOW1Kvgnr+xlaqlHff1z+hTkv3U8tIlJJsETUUx0vGgLzfCiXa6vGepI
Zrveq80rJy+J6+FpcHkreLd541JrfgyZW0rt9HFGmOa8pXDt4Zpoq3bsmDyrjK2J
XBzK1lm8bdd7kWyqEUG5V0SE1oWTvEZUhpWgt7RuYnGQAYFYRpa7wOm/s9upARgx
1Vv3XYCkwIiApUwh7LCWrF2DoHQHIQAyQo/wjazB+rGdCqotGcteQFR3h8K7/wMI
0138wf1Yw3Ch+cEFmd6iYnpCaT5SLbLuWZ5kMfjiEJBmo4BaMHM=
=kcbv
-----END PGP SIGNATURE-----

signature.asc (233 bytes) Download Attachment